Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class TreeSelectionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.swing.event.TreeSelectionEvent

public class TreeSelectionEvent
extends java.util.EventObject

An event that characterizes a change in the current selection. The change is based on any number of paths. TreeSelectionListeners will generally query the source of the event for the new selected status of each potentially changed row.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  `TreeSelectionModel`, Serialized Form

Field Summary
`protected boolean[]` | `areNew` For each path identifies if that is path is in fact new.
`protected TreePath` | `newLeadSelectionPath` leadSelectionPath after the paths changed, may be null.
`protected TreePath` | `oldLeadSelectionPath` leadSelectionPath before the paths changed, may be null.
`protected TreePath[]` | `paths` Paths this event represents.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TreeSelectionEvent(java.lang.Object source, TreePath[] paths, boolean[] areNew, TreePath oldLeadSelectionPath, TreePath newLeadSelectionPath)` Represents a change in the selection of a TreeSelectionModel.
`TreeSelectionEvent(java.lang.Object source, TreePath path, boolean isNew, TreePath oldLeadSelectionPath, TreePath newLeadSelectionPath)` Represents a change in the selection of a TreeSelectionModel.

Method Summary
`java.lang.Object` | `cloneWithSource(java.lang.Object newSource)` Returns a copy of the receiver, but with the source being newSource.
`TreePath` | `getNewLeadSelectionPath()` Returns the current lead path.
`TreePath` | `getOldLeadSelectionPath()` Returns the path that was previously the lead path.
`TreePath` | `getPath()` Returns the first path element.
`TreePath[]` | `getPaths()` Returns the paths that have been added or removed from the selection.
`boolean` | `isAddedPath()` Returns true if the first path element has been added to the selection, a return value of false means the first path has been removed from the selection.
`boolean` | `isAddedPath(TreePath path)` Returns true if the path identified by path was added to the selection.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### paths

    protected TreePath[] paths

  Paths this event represents.

### areNew

    protected boolean[] areNew

  For each path identifies if that is path is in fact new.

### oldLeadSelectionPath

    protected TreePath oldLeadSelectionPath

  leadSelectionPath before the paths changed, may be null.

### newLeadSelectionPath

    protected TreePath newLeadSelectionPath

  leadSelectionPath after the paths changed, may be null.

Constructor Detail

### TreeSelectionEvent

    public TreeSelectionEvent(java.lang.Object source,
                              TreePath[] paths,
                              boolean[] areNew,
                              TreePath oldLeadSelectionPath,
                              TreePath newLeadSelectionPath)

  Represents a change in the selection of a TreeSelectionModel. paths identifies the paths that have been either added or removed from the selection.
  Parameters:
    `source` - source of event
    `paths` - the paths that have changed in the selection

### TreeSelectionEvent

    public TreeSelectionEvent(java.lang.Object source,
                              TreePath path,
                              boolean isNew,
                              TreePath oldLeadSelectionPath,
                              TreePath newLeadSelectionPath)

  Represents a change in the selection of a TreeSelectionModel. path identifies the path that have been either added or removed from the selection.
  Parameters:
    `source` - source of event
    `path` - the path that has changed in the selection
    `isNew` - whether or not the path is new to the selection, false means path was removed from the selection.

Method Detail

### getPaths

    public TreePath[] getPaths()

  Returns the paths that have been added or removed from the selection.

### getPath

    public TreePath getPath()

  Returns the first path element.

### isAddedPath

    public boolean isAddedPath()

  Returns true if the first path element has been added to the selection, a return value of false means the first path has been removed from the selection.

### isAddedPath

    public boolean isAddedPath(TreePath path)

  Returns true if the path identified by path was added to the selection. A return value of false means the path was in the selection but is no longer in the selection. This will raise if path is not one of the paths identified by this event.

### getOldLeadSelectionPath

    public TreePath getOldLeadSelectionPath()

  Returns the path that was previously the lead path.

### getNewLeadSelectionPath

    public TreePath getNewLeadSelectionPath()

  Returns the current lead path.

### cloneWithSource

    public java.lang.Object cloneWithSource(java.lang.Object newSource)

  Returns a copy of the receiver, but with the source being newSource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.